CDKRECHARGE(1)

NAME
cdkrecharge - adjust charges in SMILES

DESCRIPTION
Redistribute charges on haloanions so that charge is placed on central atom, not on periferal halogen atoms; e.g. '[B](F)(F)(F)[F-]' is transformed to '[B-](F)(F)(F)F'.

USAGE

    cdkrecharge < input.smi cdkrecharge inputs*.smi

  OPTIONS:

-k, --kekulise

    Attempt to "kekulise" aromatic smiles (default)

-k-, --dont-kekulise, --do-not-kekulise

    Do not "kekulise" aromatic smiles, leave input as it is

--smiles c1ccccc1

    Specify SMILES string to redistribute charges instead of reading input files

--version
    Print program version and exit

--help
    Print short help message (this message) and exit